MAKEFLAGS += --silent
OUT = out
TESTS_FOLDER = tests/behaviour-tests
CC = gcc
CFLAGS = -std=c99 -Wall -I$(OUT) -I$(TESTS_FOLDER)

all: $(OUT)/run_nftest

$(OUT)/std.o : $(TESTS_FOLDER)/std.c
	$(CC) $(CFLAGS) -c -o $@ $^

$(OUT)/common_flight_plan.o : $(TESTS_FOLDER)/common_flight_plan.c \
												$(OUT)/flight_plan.h
	$(CC) $(CFLAGS) -c -o $@ $(TESTS_FOLDER)/common_flight_plan.c

$(OUT)/run_nftest: $(OUT)/common_flight_plan.o \
								$(TESTS_FOLDER)/run_nftest.c $(OUT)/std.o
	$(CC) $(CFLAGS) -DNAV_C -o $@ $^

clean:
	rm -f $(OUT)/common_flight_plan.o $(OUT)/common_flight_plan.o \
	$(OUT)/run_nftest $(OUT)/std.o